Bug 194390 - LowPerformance took 23733 ms.
LowPerformance took 23733 ms.
Status: RESOLVED FIXED
Product: cnd
Classification: Unclassified
Component: Editor
7.0
All All
: P3 (vote)
: 7.0
Assigned To: Alexander Simon
issues@cnd
EXCEPTIONS_REPORT perf-profileme
: PERFORMANCE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-15 19:14 UTC by Exceptions Reporter
Modified: 2011-01-19 06:34 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
nps snapshot (25.51 KB, application/nps)
2011-01-15 19:15 UTC, Exceptions Reporter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Exceptions Reporter 2011-01-15 19:14:50 UTC
Build: NetBeans IDE 7.0 Beta (Build 201011152355)
VM: Java HotSpot(TM) Client VM, 17.1-b03, Java(TM) SE Runtime Environment, 1.6.0_22-b04
OS: Linux

User Comments:
GUEST: formatando um arquivo com mais de 5 mil linhas
formating a file with more than 5 thousand lines

GUEST: I was trying Source-format

GUEST: slowness



Maximum slowness yet reported was 25334 ms, average is 12277
Comment 1 Exceptions Reporter 2011-01-15 19:15:05 UTC
Created attachment 105035 [details]
nps snapshot
Comment 2 David Strupl 2011-01-17 13:57:15 UTC
The last snapshot from 7.0 suggest that the user did reformat on bigger cnd file. The over 500 removes and inserts were done in AWT. Passing to the cnd team for evaluation and putting Dusan on Cc: who should know the most about how reformatting is done in Java ...
Comment 3 Alexander Simon 2011-01-18 13:43:01 UTC
fixed, change set:
http://hg.netbeans.org/cnd-main/rev/ad38cbdbbd7a
Comment 4 Quality Engineering 2011-01-19 06:34:23 UTC
Integrated into 'main-golden', will be available in build *201101190000* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/ad38cbdbbd7a
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #194390 LowPerformance took 23733 ms.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo